Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
TreeItem Class Reference
Inheritance diagram for TreeItem:

## Public Member Functions
| __init__ (self)
| GetIconName (self)
| GetLabelText (self)
| GetSelectedIconName (self)
| GetSubList (self)
| GetText (self)
| GetTextBg (self)
| GetTextFg (self)
| IsEditable (self)
| IsExpandable (self)
| OnDoubleClick (self)
| OnSelect (self)
| SetText (self, text)

## Protected Member Functions
| _GetSubList (self)

## Detailed Description

    Abstract class representing tree items.

    Methods should typically be overridden, otherwise a default action
    is used.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

    Constructor.  Do whatever you need to do.

## Member Function Documentation

## ◆ _GetSubList()

_GetSubList | ( |  | self | ) |
| protected

    Do not override!  Called by TreeNode.

## ◆ GetIconName()

GetIconName | ( |  | self | ) |

    Return name of icon to be displayed normally.

Reimplemented in SceneGraphExplorerItem.

## ◆ GetLabelText()

GetLabelText | ( |  | self | ) |

    Return label text string to display in front of text (if any).

## ◆ GetSelectedIconName()

GetSelectedIconName | ( |  | self | ) |

    Return name of icon to be displayed when selected.

## ◆ GetSubList()

GetSubList | ( |  | self | ) |

    Return list of items forming sublist.

Reimplemented in SceneGraphExplorerItem.

## ◆ GetText()

GetText | ( |  | self | ) |

    Return text string to display.

Reimplemented in SceneGraphExplorerItem.

## ◆ GetTextBg()

GetTextBg | ( |  | self | ) |

## ◆ GetTextFg()

GetTextFg | ( |  | self | ) |

## ◆ IsEditable()

IsEditable | ( |  | self | ) |

    Return whether the item's text may be edited.

Reimplemented in SceneGraphExplorerItem.

## ◆ IsExpandable()

IsExpandable | ( |  | self | ) |

    Return whether there are subitems.

Reimplemented in SceneGraphExplorerItem.

## ◆ OnDoubleClick()

OnDoubleClick | ( |  | self | ) |

    Called on a double-click on the item.

## ◆ OnSelect()

OnSelect | ( |  | self | ) |

    Called when item selected.

Reimplemented in SceneGraphExplorerItem.

## ◆ SetText()

SetText | ( |  | self,
|  |  | text )

    Change the item's text (if it is editable).

Reimplemented in SceneGraphExplorerItem.